#
# Conditional build:
%bcond_with	tests	# do not perform "make test"

%define		module		compose
%define		egg_name	docker_compose
%define		pypi_name	docker-compose
Summary:	Multi-container orchestration for Docker
Name:		docker-compose
Version:	1.27.4
Release:	1
License:	Apache v2.0
Group:		Applications/System
# https://github.com/docker/compose/releases
Source0:	https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	6c25d3b92596dc529edc337cc837eae1
Patch0:		remove-requires-upper-bound.patch
URL:		https://docs.docker.com/compose/
%if %{with tests}
BuildRequires:	python3-PyYAML
BuildRequires:	python3-docker
BuildRequires:	python3-docopt
BuildRequires:	python3-paramiko
BuildRequires:	python3-requests
BuildRequires:	python3-setuptools
BuildRequires:	python3-texttable
BuildRequires:	python3-websocket-client
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	docker(engine) >= 1.10.0
Requires:	python3-docker >= 4.3.1
Requires:	python3-paramiko >= 2.4.2
Requires:	python3-setuptools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Multi-container orchestration for Docker

Docker-compose allows you to:
- Define your application's environment with Docker so it can be
  reproduced anywhere.
- Define the services that make up your app so they can be run
  together in an isolated environment.
- Run 'docker-compose up', and docker-compose will start and run your
  entire app.

%prep
%setup -q
%patch0 -p1

rm -r docker_compose.egg-info

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md CONTRIBUTING.md README.md SWARM.md LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%changelog
* Fri Sep 25 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/docker-compose.git;a=log;h=master

* Thu Sep 24 2020 Jan Palus <atler@pld-linux.org> 20dd0bc
- up to 1.27.4

* Wed Sep 16 2020 Jan Palus <atler@pld-linux.org> 3bbc290
- up to 1.27.3

* Thu Sep 10 2020 Jan Palus <atler@pld-linux.org> 7b53959
- up to 1.27.2

* Thu Sep 10 2020 Jan Palus <atler@pld-linux.org> f96111e
- up to 1.27.1

* Mon Sep 07 2020 Jan Palus <atler@pld-linux.org> 0d46711
- up to 1.27.0

* Fri Jul 03 2020 Jan Palus <atler@pld-linux.org> 4d286ef
- up to 1.26.2

* Tue Jun 30 2020 Jan Palus <atler@pld-linux.org> bf47385
- up to 1.26.1

* Wed Jun 03 2020 Jan Palus <atler@pld-linux.org> 1bdf357
- up to 1.26.0

* Wed Apr 29 2020 Elan Ruusamäe <glen@pld-linux.org> 48b788c
- paramiko is optional in python-docker, but required here

* Fri Apr 10 2020 Jan Palus <atler@pld-linux.org> ed13cfb
- up to 1.25.5

* Mon Feb 03 2020 Jan Palus <atler@pld-linux.org> cbf3e6c
- up to 1.25.4

* Mon Jan 27 2020 Jan Palus <atler@pld-linux.org> 400bebf
- up to 1.25.3

* Tue Jan 21 2020 Jan Palus <atler@pld-linux.org> added52
- up to 1.25.2

* Wed Jan 08 2020 Jan Palus <atler@pld-linux.org> 1efc208
- up to 1.25.1

* Thu Nov 21 2019 Jan Palus <atler@pld-linux.org> 277c9d5
- up to 1.25.0

* Sun Apr 07 2019 Jan Palus <atler@pld-linux.org> eeb901a
- missing patch update; rel 2

* Sun Mar 31 2019 Jan Palus <atler@pld-linux.org> 873d6b1
- up to 1.24.0

* Tue Feb 26 2019 Elan Ruusamäe <glen@pld-linux.org> b4aeabf
- require setuptools for pkg_resources

* Sat Dec 01 2018 Jan Palus <atler@pld-linux.org> f662065
- up to 1.23.2

* Fri Aug 03 2018 Elan Ruusamäe <glen@pld-linux.org> d412c73
- require docker(engine)

